# Integrate

## 0. 최신 ADX Android SDK 버전

{% hint style="success" %}
Version 2.8.2

Release Date : 2026/03/17
{% endhint %}

## 1. 최소 지원 사양

{% hint style="info" %}

* minSdkVersion **23** 이상
* compileSdkVersion 35 이상
  {% endhint %}

## 2. ADX Android SDK 추가

{% hint style="info" %}
ADX Android SDK 업데이트 상황에 따라 아래 내용이 변경될 수 있습니다.
{% endhint %}

1\) 프로젝트 단 `build.gradle` 파일에 `allprojects` 섹션에서 아래의 Repository를 추가합니다.

```typescript
allprojects {
    repositories {
        // ... other project repositories
        google()
        mavenCentral()
        maven { url 'https://jitpack.io' }
    }
}
```

2\) 모듈 단 `build.gradle` 파일에 `dependencies` 섹션에서 아래의 Dependency를 추가합니다.

```typescript
dependencies {
    // 라이브러리 전체를 포함할 경우
    implementation 'com.github.adxcorp.ADXLibrary_Android:adx-library:2.8.2'

    // 네이티브만 포함할 경우
    implementation 'com.github.adxcorp.ADXLibrary_Android:adx-library-native:2.8.2'

    // 전면/배너만 포함할 경우
    implementation 'com.github.adxcorp.ADXLibrary_Android:adx-library-standard:2.8.2'

    // 리워드 비디오만 포함할 경우
    implementation 'com.github.adxcorp.ADXLibrary_Android:adx-library-rewarded-video:2.8.2'

    // 예를 들어 전면/배너/네이티브를 포함할 경우 아래와 같이 추가하시면 됩니다.
    implementation 'com.github.adxcorp.ADXLibrary_Android:adx-library-standard:2.8.2'
    implementation 'com.github.adxcorp.ADXLibrary_Android:adx-library-native:2.8.2'
     
    // Google Play Service Ads 24.3.0 버전을 사용합니다.
    implementation 'com.google.android.gms:play-services-ads:24.9.0'
}
```

## 3. Project Setting

* Java 8 언어 기능을 지원하려면 모듈의 `build.gradle` 파일에 `android` 섹션에서 `compileOptions` 을 추가합니다.

```typescript
android {
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}
```

## 4. AdMob APP ID설정

* 애드몹을 연동하지 않는 경우 해당 부분은 건너띄워도 됩니다.
* `AndroidManifest.xml` 파일에 `<meta-data>` 태그에 `"com.google.android.gms.ads.APPLICATIONID"`와 발급된 애드몹의 APP ID를 추가합니다.

{% hint style="danger" %}
`<meta-data>` 태그를 추가하지 않으면 다음 메시지가 표시되며 앱이 비정상 종료됩니다.`The Google Mobile Ads SDK was initialized incorrectly.`
{% endhint %}

```typescript
    <application>
        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="YOUR_ADMOB_APP_ID"/>
    </application>
</manifest>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://platform-business.gitbook.io/adx/android/integrate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
